Bug 794777 - rpmlint throws 'only-non-binary-in-usr-lib' as systemd unit-files are now installed under /usr/lib
rpmlint throws 'only-non-binary-in-usr-lib' as systemd unit-files are now in...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened, Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 10:43 EST by Kashyap Chamarthy
Modified: 2014-09-26 05:03 EDT (History)
12 users (show)

See Also:
Fixed In Version: rpmlint-1.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-23 00:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kashyap Chamarthy 2012-02-17 10:43:59 EST
Description of problem:

rpmlint throws 'only-non-binary-in-usr-lib'  due to UsrMove feature
########################################################
[build@dhcp201-157 SPECS]$ rpmlint authhub.spec ../RPMS/x86_64/authhub-* 
authhub-httpbasicauth.x86_64: W: only-non-binary-in-usr-lib
authhub-httpbasicauth.x86_64: W: no-documentation
authhub-totp.x86_64: W: only-non-binary-in-usr-lib
authhub-totp.x86_64: W: no-documentation
authhub-yubikey.x86_64: W: only-non-binary-in-usr-lib
authhub-yubikey.x86_64: W: no-documentation
6 packages and 1 specfiles checked; 0 errors, 6 warnings.
[build@dhcp201-157 SPECS]$ 
########################################################



Version-Release number of selected component (if applicable):
[build@dhcp201-157 x86_64]$ cat /etc/redhat-release 
Fedora release 18 (Rawhide)
[build@dhcp201-157 x86_64]$ rpm -q dracut systemd
dracut-015-9.git20120213.fc17.noarch
systemd-42-1.fc17.x86_64
[build@dhcp201-157 x86_64]$
Comment 1 Fedora End Of Life 2013-04-03 13:48:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 David Howells 2014-02-25 15:30:13 EST
I'm seeing this in F20 with cachefilesd's systemd unit file.
Comment 3 Christopher Meng 2014-03-21 04:28:25 EDT
Rawhide still.
Comment 4 Fedora Update System 2014-06-26 09:28:41 EDT
rpmlint-1.5-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmlint-1.5-12.fc20
Comment 5 Fedora Update System 2014-06-26 09:28:54 EDT
rpmlint-1.5-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpmlint-1.5-12.fc19
Comment 6 Fedora Update System 2014-06-26 22:29:18 EDT
Package rpmlint-1.5-12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.5-12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7806/rpmlint-1.5-12.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-06-30 19:23:55 EDT
rpmlint-1.5-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Susi Lehtola 2014-08-21 15:24:09 EDT
Problem still exists with rpmlint-1.5-12.fc20


$ rpm -q rpmlint
rpmlint-1.5-12.fc20.noarch
$ rpmlint zlib-devel
zlib-devel.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 9 Ville Skyttä 2014-08-22 07:20:53 EDT
Please note that this bug report is about systemd unit files and I believe they've been taken care of, zlib-devel is not in that category.
Comment 10 Fedora Update System 2014-09-04 10:01:45 EDT
rpmlint-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rpmlint-1.6-1.fc21
Comment 11 Fedora Update System 2014-09-04 10:02:01 EDT
rpmlint-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmlint-1.6-1.fc20
Comment 12 Fedora Update System 2014-09-04 10:02:12 EDT
rpmlint-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpmlint-1.6-1.fc19
Comment 13 Fedora Update System 2014-09-05 21:00:17 EDT
Package rpmlint-1.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10203/rpmlint-1.6-1.fc21
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-09-23 00:45:08 EDT
rpmlint-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-09-25 06:39:03 EDT
rpmlint-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-09-26 05:03:47 EDT
rpmlint-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.